HierarchySettingsOperations Class
HierarchySettingsOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectHierarchySettingsOperations
Constructor
HierarchySettingsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| create_or_update |
Creates or updates the hierarchy settings defined at the Management Group level. |
| delete |
Deletes the hierarchy settings defined at the Management Group level. |
| get |
Gets the hierarchy settings defined at the Management Group level. Settings can only be set on the root Management Group of the hierarchy. |
| list |
Gets all the hierarchy settings defined at the Management Group level. Settings can only be set on the root Management Group of the hierarchy. |
| update |
Updates the hierarchy settings defined at the Management Group level. |
create_or_update
Creates or updates the hierarchy settings defined at the Management Group level.
async create_or_update(group_id: str, create_tenant_settings_request: azure.mgmt.managementgroups.models._models_py3.CreateOrUpdateSettingsRequest, **kwargs: Any) -> azure.mgmt.managementgroups.models._models_py3.HierarchySettings
Parameters
- create_tenant_settings_request
- CreateOrUpdateSettingsRequest
Tenant level settings request parameter.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
HierarchySettings, or the result of cls(response)
Return type
Exceptions
delete
Deletes the hierarchy settings defined at the Management Group level.
async delete(group_id: str, **kwargs: Any) -> None
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
None, or the result of cls(response)
Return type
Exceptions
get
Gets the hierarchy settings defined at the Management Group level. Settings can only be set on the root Management Group of the hierarchy.
async get(group_id: str, **kwargs: Any) -> azure.mgmt.managementgroups.models._models_py3.HierarchySettings
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
HierarchySettings, or the result of cls(response)
Return type
Exceptions
list
Gets all the hierarchy settings defined at the Management Group level. Settings can only be set on the root Management Group of the hierarchy.
async list(group_id: str, **kwargs: Any) -> azure.mgmt.managementgroups.models._models_py3.HierarchySettingsList
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
HierarchySettingsList, or the result of cls(response)
Return type
Exceptions
update
Updates the hierarchy settings defined at the Management Group level.
async update(group_id: str, create_tenant_settings_request: azure.mgmt.managementgroups.models._models_py3.CreateOrUpdateSettingsRequest, **kwargs: Any) -> azure.mgmt.managementgroups.models._models_py3.HierarchySettings
Parameters
- create_tenant_settings_request
- CreateOrUpdateSettingsRequest
Tenant level settings request parameter.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
HierarchySettings, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.managementgroups.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\managementgroups\\models\\__init__.py'>
Feedback
Submit and view feedback for